Package org.bukkit

# Interface Registry<T extends Keyed>

Type Parameters:
  `T` - type of item in the registry

All Superinterfaces:
  `Iterable<T>`

All Known Implementing Classes:
  `Registry.SimpleRegistry`

public interface Registry<T extends Keyed> extends Iterable<T>
Represents a registry of Bukkit objects that may be retrieved by `NamespacedKey`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`Registry.SimpleRegistry<T extends Enum<T> & Keyed>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Registry<Advancement>`
`ADVANCEMENT`
Server advancements.
`static final Registry<Art>`
`ART`
Server art.
`static final Registry<Attribute>`
`ATTRIBUTE`
Attribute.
`static final Registry<Biome>`
`BIOME`
Server biomes.
`static final Registry<KeyedBossBar>`
`BOSS_BARS`
Custom boss bars.
`static final Registry<Enchantment>`
`ENCHANTMENT`
Server enchantments.
`static final Registry<EntityType>`
`ENTITY_TYPE`
Server entity types.
`static final Registry<Fluid>`
`FLUID`
Server fluids.
`static final Registry<GameEvent>`
`GAME_EVENT`
Game events.
`static final Registry<LootTables>`
`LOOT_TABLES`
Default server loot tables.
`static final Registry<Material>`
`MATERIAL`
Server materials.
`static final Registry<MemoryKey>`
`MEMORY_MODULE_TYPE`
Memory Keys.
`static final Registry<Sound>`
`SOUNDS`
Sound keys.
`static final Registry<Statistic>`
`STATISTIC`
Server statistics.
`static final Registry<Villager.Profession>`
`VILLAGER_PROFESSION`
Villager profession.
`static final Registry<Villager.Type>`
`VILLAGER_TYPE`
Villager type.

## Method Summary

Modifier and Type
Method
Description
`T`
`get(@NotNull NamespacedKey key)`
Get the object by its key.

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

## Field Details

### ADVANCEMENT

static final Registry<Advancement> ADVANCEMENT
Server advancements.

See Also:
  - `Bukkit.getAdvancement(org.bukkit.NamespacedKey)`
  - `Bukkit.advancementIterator()`

### ART

static final Registry<Art> ART
Server art.

See Also:
  - `Art`

### ATTRIBUTE

static final Registry<Attribute> ATTRIBUTE
Attribute.

See Also:
  - `Attribute`

### BIOME

static final Registry<Biome> BIOME
Server biomes.

See Also:
  - `Biome`

### BOSS_BARS

static final Registry<KeyedBossBar> BOSS_BARS
Custom boss bars.

See Also:
  - `Bukkit.getBossBar(org.bukkit.NamespacedKey)`
  - `Bukkit.getBossBars()`

### ENCHANTMENT

static final Registry<Enchantment> ENCHANTMENT
Server enchantments.

See Also:
  - `Enchantment.getByKey(org.bukkit.NamespacedKey)`

### ENTITY_TYPE

static final Registry<EntityType> ENTITY_TYPE
Server entity types.

See Also:
  - `EntityType`

### LOOT_TABLES

static final Registry<LootTables> LOOT_TABLES
Default server loot tables.

See Also:
  - `LootTables`

### MATERIAL

static final Registry<Material> MATERIAL
Server materials.

See Also:
  - `Material`

### STATISTIC

static final Registry<Statistic> STATISTIC
Server statistics.

See Also:
  - `Statistic`

### SOUNDS

static final Registry<Sound> SOUNDS
Sound keys.

See Also:
  - `Sound`

### VILLAGER_PROFESSION

static final Registry<Villager.Profession> VILLAGER_PROFESSION
Villager profession.

See Also:
  - `Villager.Profession`

### VILLAGER_TYPE

static final Registry<Villager.Type> VILLAGER_TYPE
Villager type.

See Also:
  - `Villager.Type`

### MEMORY_MODULE_TYPE

static final Registry<MemoryKey> MEMORY_MODULE_TYPE
Memory Keys.

See Also:
  - `MemoryKey`

### FLUID

static final Registry<Fluid> FLUID
Server fluids.

See Also:
  - `Fluid`

### GAME_EVENT

static final Registry<GameEvent> GAME_EVENT
Game events.

See Also:
  - `GameEvent`

## Method Details

### get

@Nullable T get(@NotNull @NotNull NamespacedKey key)
Get the object by its key.

Parameters:
  `key` - non-null key
Returns:
  item or null if does not exist